import { SectionsService } from './sections.service';
import { CreateSectionDto } from './dto/create-section.dto';
import { UpdateSectionDto } from './dto/update-section.dto';
export declare class SectionsController {
    private readonly sectionsService;
    constructor(sectionsService: SectionsService);
    getAllPublic(): Promise<(import("mongoose").FlattenMaps<import("./schemas/section.schema").SectionDocument> & Required<{
        _id: string;
    }>)[]>;
    getSectionsByClass(classId: string): Promise<(import("mongoose").FlattenMaps<import("./schemas/section.schema").SectionDocument> & Required<{
        _id: string;
    }>)[]>;
    create(dto: CreateSectionDto): Promise<import("mongoose").FlattenMaps<import("./schemas/section.schema").Section & import("mongoose").Document<unknown, any, any, Record<string, any>> & Required<{
        _id: string;
    }>> | undefined>;
    findAll(): Promise<(import("mongoose").FlattenMaps<import("./schemas/section.schema").SectionDocument> & Required<{
        _id: string;
    }>)[]>;
    findOne(id: string): Promise<(import("mongoose").FlattenMaps<import("./schemas/section.schema").SectionDocument> & Required<{
        _id: string;
    }>) | null>;
    update(id: string, dto: UpdateSectionDto): Promise<(import("mongoose").FlattenMaps<import("./schemas/section.schema").SectionDocument> & Required<{
        _id: string;
    }>) | null | undefined>;
    delete(id: string): Promise<(import("mongoose").FlattenMaps<import("./schemas/section.schema").SectionDocument> & Required<{
        _id: string;
    }>) | null>;
}
